# Class Row

java.lang.Object
io.trino.jdbc.Row

public final class Row extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Row.Builder`

## Method Summary

Modifier and Type
Method
Description
`static Row.Builder`
`builder()`
`static Row.Builder`
`builderWithExpectedSize(int fields)`
`boolean`
`equals(Object o)`
`List<RowField>`
`getFields()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getFields

public List<RowField> getFields()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### builder

public static Row.Builder builder()

### builderWithExpectedSize

public static Row.Builder builderWithExpectedSize(int fields)